### Signal

# ECal ComponentBag::added

since: 3.58

#### Declaration

    void
    added (
      ECalComponentBag* self,
      ECalComponentBagItem* item,
      gpointer user_data
    )

#### Description [src]

A signal emitted whenever a new `ECalComponentBagItem` is added.

The `item` can be modified, but if any properties related to the layout changes then the content needs to be recalculated, for example by calling e_cal_component_bag_rebuild().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 3.58

#### Parameters

`item`

  Type: `ECalComponentBagItem`

  An `ECalComponentBagItem`.

  The data is owned by the caller of the function.